APIReferenceAccount
apiKeyAuthorizationBearer <token>Personal API key (osg_…)
application/jsontimezone?stringdigestHour?integer0 <= value <= 23streakPeriod?string"week""day"profilePublic?booleanstreakReminders?booleangoalEmails?booleanDefault Response
application/jsonid*stringlogin*stringname*stringemail*stringimage*string|nulltimezone*stringdigestHour*integer-9007199254740991 <= value <= 9007199254740991streakPeriod*stringStreaks count weeks (default) or days
"week""day"profilePublic*booleanWhether /u/{login} shows your profile (default: yes)
streakReminders*booleanEmail when your streak needs a contribution: Fridays (weekly) or evenings (daily)
goalEmails*booleanEmail when you reach a goal
createdAt*stringdate-timecurl -X PATCH 'https://example.com/api/v1/me' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "string", "login": "string", "name": "string", "email": "string", "image": "string", "timezone": "string", "digestHour": -9007199254740991, "streakPeriod": "week", "profilePublic": true, "streakReminders": true, "goalEmails": true, "createdAt": "2019-08-24T14:15:22Z"}